Summary: Avi and Mkv parser/editor and content descriptor
Name: themonospot
Version: 0.7.3.1
Release: 1%{?dist}
License: GPLv2
Group: Applications/Multimedia
Source: http://www.integrazioneweb.com/themonospot/packages/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
URL: http://www.integrazioneweb.com/themonospot

BuildRequires: gtk-sharp2-devel >= 2.8.3
BuildRequires: mono-core >= 1.2.3
BuildRequires: pkgconfig
BuildRequires: desktop-file-utils

Requires: gtk-sharp2 >= 2.8.3
Requires: mono-core >= 1.2.3

%define debug_package %{nil}

%description
themonospot is a simple application that can be used to scan avi
and matroska (.mkv) file and extract some informations about audio 
and video data flow:

    - Video codec used
    - Frame size
    - Average video bitrate
    - File size
    - Total time
    - Frame rate
    - Total frames
    - Info data
    - Packet Bitstream
    - User data (in MOVI chunk)
    - Audio codec used
    - Average audio bitrate
    - Audio channels

Using themonospot it is also possible to modify FourCC informations
(FourCC code in video chunk and FourCC description in stream header)
and also change some problematic UserData values for table players 
(it set the value to DivX999b000p). This features are available only
for avi file type.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -fr %{buildroot}
make DESTDIR=%{buildroot} install
rm -rf %{buildroot}%{_datadir}/applications/%{name}.desktop
rm -rf %{buildroot}%{_libdir}/pkgconfig/%{name}-base.pc
desktop-file-install --vendor="fedora"               \
  --dir=%{buildroot}%{_datadir}/applications    \
  %{name}-gui/resources/%{name}.desktop

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc readme
%doc copying.gpl
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/fedora-themonospot.desktop


%changelog
* Fri May 26 2009 Armando Basile <hmandevteam@gmail.com> 0.7.3.1-1
- bug fixed: issue n. 13 - wrong language setting
- bug fixed: issue n. 10 - added auto-report 
- bug fixed: export with userdata changed improvement
- feature: (default=false, to enable set true in config file .themonospot)
- feature: added control to manage auto-export feature setting
- feature: modified language files to add auto-export tag
- feature: added Drag and Drop feature

* Mon May 25 2009 Xavier Lamien <laxathom@fedoraproject.org> - 0.7.1.1-3
- Build arch ppc64.

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Aug 26 2008 hman <hmandevteam@gmail.com> 0.7.1.1-1
- bug fixed: solved UserData function problem, now work fine

* Thu May 01 2008 hman <hmandevteam@gmail.com> 0.7.0.1-1
- new feature: Issue 009 - add Matroska (mkv) file type support
- bug fixed: open avi,divx,xvid files with extention (Avi,AVI,DivX,Divx,DIVX,Xvid,XviD,XVID) <> avi,divx,xvid
- bug fixed: minor bugs

* Fri Jan 04 2008 hman <hmandevteam@gmail.com> 0.6.5.6-1
- bug fixed: Issue 007 [Wrong AudioRate value]
- bug fixed: Issue 008 [Calculate VideoRate]
- new feature: Multilanguage with language files (*.lf in languages folder)
- bug fixed: minor bugs

* Sun Dec 23 2007 hman <hmandevteam@gmail.com> 0.6.2-1
- bug fixed: Issue 004 [Array index is out of range]

* Mon Jul 30 2007 hman <hmandevteam@gmail.com> 0.6.0-1
- added extraction of Packet Bitstream  infos from MOVI Chunk
- added Change problematic UserData values and save file function

* Fri Jul 20 2007 hman <hmandevteam@gmail.com> 0.4.0-1
- added autosave of last folder used
- added extraction of USER DATA infos from MOVI Chunk
- added FourCC change function (fourCC Code and Description)

* Wed Jul 06 2007 hman <hmandevteam@gmail.com> 0.3.0-1
- new layout
- some bugs fixed
- optimization code
